# 9.16:  Fill missing values using a constant, a computed value, or a method.  Use .fillna() with
# scalar values, aggregates, or directional methods like 'ffill'.


print('df:')
df
print()

print('df.fillna(0):')
df.fillna(0)
print()

print("df.ffill()")
df.ffill()
print()

print("df['A'].fillna(  df['A'].mean()  )")
df['A'].fillna(  df['A'].mean()  )
print()

